%define major		0

%define libname		%mklibname mp3lame %{major}
%define develname	%mklibname mp3lame -d

%define expopt		1

Name:		lame
Version:	3.100
Release:	%mkrel 7
Summary:	LAME Ain't an MP3 Encoder
License:	LGPLv2+
Group:		Sound/Editors and Converters
URL:		http://lame.sourceforge.net
Source:		http://prdownloads.sourceforge.net/lame/%{name}-%{version}.tar.gz
Patch0: lame-3.100-signed-integer-overflow-fix.patch

BuildRequires:	pkgconfig(ncurses)
%ifarch %{ix86} x86_64
BuildRequires:	nasm
%endif

%description
Following the great history of GNU naming, LAME originally stood for LAME
Ain't an Mp3 Encoder. LAME started life as a GPL'd patch against the
dist10 ISO demonstration source, and thus was incapable of producing an
mp3 stream or even being compiled by itself. But in May 2000, the last
remnants of the ISO source code were replaced, and now LAME is the source
code for a fully GPL'd MP3 encoder, with speed and quality to rival all
commercial competitors.

LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3.

LAME is not for everyone - it is distributed as source code only and
requires the ability to use a C compiler. However, many popular ripping
and encoding programs include the LAME encoding engine, see: Software
which uses LAME.


%package -n	%{libname}
Summary:	Main library for lame
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%{_lib}lame0 < 3.99.5-12

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libmp3lame.

%package -n	%{develname}
Summary:	Headers for developing programs that will use libmp3lame
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}lame-devel < 3.99.5-12

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use libmp3lame.

%prep
%setup -q
%patch0 -p0

ln -s acm ACM
cp -r doc/html .

#clean unneeded files in doc dir
rm -rf html/CVS html/Makefile*
find html -name .cvsignore|xargs rm -f

%build
%if !%{expopt}
export CFLAGS="%(echo %{optflags} |sed s/-O[23]/-O1/)"
%endif
%configure \
	--disable-static \
	--disable-rpath \
%ifarch %{ix86} x86_64
	--enable-nasm \
%endif
%if %{expopt}
	--enable-expopt \
%endif
	--disable-gtktest

%make_build

%check
make test

%install
%make_install

#clean unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/lame %{buildroot}%{_libdir}/*.la

%files
%doc README TODO USAGE html/
%{_bindir}/lame
%{_mandir}/man1/lame.1*

%files -n %{libname}
%doc README
%{_libdir}/libmp3lame.so.%{major}{,.*}

%files -n %{develname}
%doc STYLEGUIDE API ChangeLog HACKING
%{_includedir}/*
%{_libdir}/libmp3lame.so


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 3.100-7.mga8
+ Revision: 1513866
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.100-6.mga7
+ Revision: 1298711
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 wally <wally> 3.100-5.mga7
+ Revision: 1208566
- remove references to tainted media from descriptions

* Tue Oct 24 2017 zezinho <zezinho> 3.100-4.mga7
+ Revision: 1173252
- patch by Peter Semiletov to fix http://openwall.com/lists/oss-security/2017/06/28/11

* Sun Oct 22 2017 zezinho <zezinho> 3.100-3.mga7
+ Revision: 1173121
- bump rel to push to core

* Sat Oct 21 2017 zezinho <zezinho> 3.100-2.mga7.tainted
+ Revision: 1172982
- patch removed as it is done already in libmp3lame/lame.c, line 562 and following

* Sat Oct 21 2017 zezinho <zezinho> 3.100-1.mga7
+ Revision: 1172964
- new version finally
- upstreamed patches removed
- invalid sample rate patch rediffed by Peter Semiletov

* Thu Aug 10 2017 neoclust <neoclust> 3.99.5-14.mga7
+ Revision: 1139566
- Release with CVE fixed
- Add P3 and Fix P1 - Fixes CVE-2015-9099 CVE-2015-9100 CVE-2015-9100 (mga#21170)

* Thu May 04 2017 zezinho <zezinho> 3.99.5-13.mga6
+ Revision: 1099071
- remove patent information

* Thu May 04 2017 zezinho <zezinho> 3.99.5-13.mga6.tainted
+ Revision: 1099018
- push to core as it is now patentless

* Sun Dec 11 2016 wally <wally> 3.99.5-12.mga6.tainted
+ Revision: 1074205
- fix license again
- fix lib and devel pkg names
- BR nasm also on x86_64
- drop old and unneeded obsoletes and provides
- replace PLF with tainted in descriptions

* Thu Oct 06 2016 daviddavid <daviddavid> 3.99.5-11.mga6.tainted
+ Revision: 1059289
- rebuild for ARM

* Thu Feb 12 2015 luigiwalser <luigiwalser> 3.99.5-10.mga6.tainted
+ Revision: 814786
- add patches from debian to fix crashes caused by malformed input

* Wed Oct 15 2014 umeabot <umeabot> 3.99.5-9.mga5.tainted
+ Revision: 740449
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.99.5-8.mga5.tainted
+ Revision: 681266
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 dlucio <dlucio> 3.99.5-7.mga5.tainted
+ Revision: 641606
- P0 is only for i586

* Mon Jun 30 2014 dlucio <dlucio> 3.99.5-6.mga5.tainted
+ Revision: 641602
- bump release
- P0 to fix build against gcc4.9x

* Thu Oct 31 2013 tmb <tmb> 3.99.5-5.mga4.tainted
+ Revision: 548201
- Mageia 4 rebuild

* Thu Jun 13 2013 fwang <fwang> 3.99.5-4.mga4.tainted
+ Revision: 442358
- do not build static devel lib, it is not required by any other srpm

* Thu Jun 13 2013 fwang <fwang> 3.99.5-3.mga4.tainted
+ Revision: 442323
- cleanup spec

* Sat Jan 12 2013 umeabot <umeabot> 3.99.5-3.mga3.tainted
+ Revision: 356637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 3.99.5-2.mga3.tainted
+ Revision: 322452
- fix rpm group

* Fri Mar 02 2012 fwang <fwang> 3.99.5-1.mga2.tainted
+ Revision: 216727
- new version 3.99.5

* Fri Mar 02 2012 fwang <fwang> 3.99.4-2.mga2.tainted
+ Revision: 216720
- rebuild for missing packages

* Mon Jan 30 2012 luigiwalser <luigiwalser> 3.99.4-1.mga2.tainted
+ Revision: 203168
- update to 3.99.4
- obsolete gtk+1.2 frontend lame-mp3x
- clean spec

* Tue Apr 19 2011 obgr_seneca <obgr_seneca> 3.98.4-2.mga1
+ Revision: 88315
- imported package lame


* Mon Apr 11 2011 Oliver Burger <oliver.bgr@googlemail.com> 3.98.4-2.mga1
- rebuild for Mageia

* Mon May 17 2010 Götz Waschk <goetz@zarb.org> 3.98.4-1plf2010.1
- new version

* Sat Feb 27 2010 Götz Waschk <goetz@zarb.org> 3.98.3-1plf2010.1
- new version

* Tue Sep 23 2008 Götz Waschk <goetz@zarb.org> 3.98.2-1plf2009.0
- fix build deps for 64 bit
- new version

* Sun Sep 21 2008 Götz Waschk <goetz@zarb.org> 3.98.1-1plf2009.0
- new version

* Wed Jul  9 2008 Götz Waschk <goetz@zarb.org> 3.98-1plf2009.0
- new version

* Mon May 26 2008 Götz Waschk <goetz@zarb.org> 3.98-0.b8.2plf2009.0
- fix build with no-undefined

* Mon Apr 14 2008 Götz Waschk <goetz@zarb.org> 3.98-0.b8.1plf2009.0
- new version

* Mon Mar 24 2008 Götz Waschk <goetz@zarb.org> 3.97-3plf2008.1
- new devel name
- fix buildrequires

* Mon Mar 19 2007 Götz Waschk <goetz@zarb.org> 3.97-2plf2007.1
- move ChangeLog to the devel package (requested by tv)

* Sun Sep 24 2006 Götz Waschk <goetz@zarb.org> 3.97-1plf2007.0
- new version

* Sun Aug 20 2006 Götz Waschk <goetz@zarb.org> 3.97-0.b3.1plf2007.0
- new version 3.97 beta 3

* Sun Jul  9 2006 Götz Waschk <goetz@zarb.org> 3.97-0.b2.2plf2007.0
- fix buildrequires

* Tue Nov 29 2005 Götz Waschk <goetz@zarb.org> 3.97-0.b2.1plf
- update docs
- new version

* Mon Sep 12 2005 Götz Waschk <goetz@zarb.org> 3.97-0.b.1plf
- mkrel
- New release 3.97b

* Mon Jul 26 2004 Götz Waschk <goetz@zarb.org> 3.96.1-1plf
- reenable libtoolize for Cooker
- add source URL
- New release 3.96.1

* Mon Apr 12 2004 Götz Waschk <goetz@plf.zarb.org> 3.96-1plf
- fix docs listing
- update descriptions
- new version

* Tue Jan 13 2004 Götz Waschk <goetz@plf.zarb.org> 3.95.1-1plf
- new version

* Mon Jan 12 2004 Götz Waschk <goetz@plf.zarb.org> 3.95-2plf
- fix buildrequires

* Sun Jan 11 2004 Götz Waschk <goetz@plf.zarb.org> 3.95-1plf
- don't run libtoolize
- use the mdkversion macro
- enable optimizations for all builds
- new version

* Sun Dec 14 2003 Stefan van der Eijk <stefan@eijk.nu> 3.93.1-6plf
- re-upload

* Wed Sep  3 2003 Götz Waschk <goetz@plf.zarb.org> 3.93.1-5plf
- support for Mandrake 9.0

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@zarb.org> 3.93.1-4plf
- changed main package name to lame, as other mdk package doesn't exist any more
- changed library package name to liblame for cohereny
- used mklibname
- fixed provides

* Tue Jul 15 2003 Guillaume Rousse <guillomovitch@zarb.org> 3.93.1-3plf
- rebuild for new rpm devel computation
- stricter dependency between lib and devel package

* Sun Mar 30 2003 Götz Waschk <goetz@plf.zarb.org> 3.93.1-2plf
- don't call autoconf

* Mon Dec 16 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 3.93.1-1plf
- spec fixes
- add a static-devel package
- new version

* Thu Nov  7 2002 Götz Waschk <waschk@linux-mandrake.com> 3.93-0.20021107.1plf
- buildrequires autoconf2.5
- fix mp3x build
- fix detection of Mandrake version
- new snapshot

* Tue Aug 27 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 3.93-0.20020827.1plf
- fix buildrequires
- new snapshot
- update version check for Mandrake 9.0

* Wed Jul  3 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 3.93-0.20020702.1plf
- new snapshot (3.93 alpha 2)
- autoconf 2.5 macro

* Sun May 12 2002 Götz Waschk <waschk@linux-mandrake.com> 3.93-0.20020422.3plf
- use optimization specific to the gcc version

* Thu Apr 25 2002 Götz Waschk <waschk@linux-mandrake.com> 3.93-0.20020422.2plf
- CVS snapshot
- merge with package from David Walluck <david@anti-microsoft.org>

* Mon Apr 22 2002 Götz Waschk <waschk@linux-mandrake.com> 3.92-1plf
- 3.92
- builds with newer nasm now

* Sun Feb 17 2002 Götz Waschk <waschk@linux-mandrake.com> 3.91-3plf
- rebuild for right vendor tag

* Sat Feb 16 2002 Götz Waschk <waschk@linux-mandrake.com> 3.91-2plf
- requires nasm only on ix86 machines

* Wed Jan 30 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 3.91-1plf 
- new plf extension

* Wed Jan  2 2002 Götz Waschk <waschk@linux-mandrake.com> 3.91-1mdk
- 3.91 final

* Thu Nov 29 2001 Götz Waschk <waschk@linux-mandrake.com> 3.90-0.20011127.1mdk
- new snapshot
- requires older nasm version for build
- spec file fixes

* Mon Oct 22 2001 Götz Waschk <waschk@linux-mandrake.com> 3.90-0.20011022.1mdk
- moved libmp3lame.so to devel package, avifile was fixed
- removed .cvsignore files from doc
- new snapshot

* Fri Oct  5 2001 Götz Waschk <waschk@linux-mandrake.com> 3.90-0.20010816.2mdk
- include man page
- set CFLAGS before configure call
- build dynamic libs, avifile prefers them
- Götz is real packager :-)

* Wed Oct  3 2001 Götz Waschk <waschk@linux-mandrake.com> 3.90-0.20010816.1mdk
- build for Mandrake Linux
